Bug 736476 - ssh fails to parse reverse DNS lookup
ssh fails to parse reverse DNS lookup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
14
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 15:14 EDT by alon
Modified: 2012-08-16 11:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:05:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description alon 2011-09-07 15:14:19 EDT
Description of problem:
I have installed bind 9 server and try to connect to a different computer by ssh 
ss {HOSTNAME} there is a record in the zone and in the forward zone,
the problem is that im keep getting the following error:
"reverse mapping checking getaddrinfo for leptop.alonandeinat.local [192.168.1.100] failed - POSSIBLE BREAK-IN ATTEMPT!"

both named-checkzone and named-checkconf confirm that the configuration files are correct.

I copied  the named.conf and zone files to a centOS version 6 server and everything working fine the problem is on fedora 14 platform 

Version-Release number of selected component (if applicable): 9


How reproducible:


Steps to Reproduce:
1. just install and config bind-9
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Tkac 2011-09-09 06:26:21 EDT
Can you please post here output of the following commands? (executed on machine where ssh prints warnings)

# dig leptop.alonandeinat.local +dnssec
# dig -x 192.168.1.100 +dnssec

This will tell us if forward and reverse lookups are really correct. Thanks in advance.
Comment 2 alon 2011-09-09 07:04:49 EDT
dig leptop.alonandeinat.local +dnssec provide :
[dotanalon@serverhome ~]$ dig leptop.alonandeinat.local +dnssec

; <<>> DiG 9.7.4b1-RedHat-9.7.4-0.3.b1.fc14 <<>> leptop.alonandeinat.local +dnssec
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 60259
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 1, ADDITIONAL: 2

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags: do; udp: 4096
;; QUESTION SECTION:
;leptop.alonandeinat.local.	IN	A

;; ANSWER SECTION:
leptop.alonandeinat.local. 86400 IN	A	192.168.1.100

;; AUTHORITY SECTION:
alonandeinat.local.	86400	IN	NS	serverhome.alonandeinat.local.

;; ADDITIONAL SECTION:
serverhome.alonandeinat.local. 86400 IN	A	192.168.1.10

;; Query time: 0 msec
;; SERVER: 192.168.1.10#53(192.168.1.10)
;; WHEN: Fri Sep  9 14:04:41 2011
;; MSG SIZE  rcvd: 111


dig -x 192.168.1.100 +dnssec provieds

[dotanalon@serverhome ~]$ dig -x 192.168.1.100 +dnssec

; <<>> DiG 9.7.4b1-RedHat-9.7.4-0.3.b1.fc14 <<>> -x 192.168.1.100 +dnssec
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 17088
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 1, ADDITIONAL: 2

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags: do; udp: 4096
;; QUESTION SECTION:
;100.1.168.192.in-addr.arpa.	IN	PTR

;; ANSWER SECTION:
100.1.168.192.in-addr.arpa. 86400 IN	PTR	leptop.alonandeinat.local.

;; AUTHORITY SECTION:
1.168.192.in-addr.arpa.	86400	IN	NS	serverhome.alonandeinat.local.

;; ADDITIONAL SECTION:
serverhome.alonandeinat.local. 86400 IN	A	192.168.1.10

;; Query time: 0 msec
;; SERVER: 192.168.1.10#53(192.168.1.10)
;; WHEN: Fri Sep  9 14:05:45 2011
;; MSG SIZE  rcvd: 135
Comment 3 Adam Tkac 2011-09-09 07:41:03 EDT
Hm, BIND returns correct answers, both forward and reverse responses are correct.

Reassigning to openssh for further inspection, it seems like a bug in the ssh client or in the glibc resolver.
Comment 4 Tomas Mraz 2011-09-09 08:09:07 EDT
What prints 'getent hosts 192.168.1.100' ?
Comment 5 alon 2011-09-09 08:29:53 EDT
getent hosts 192.168.1.100 provides the following :

[dotanalon@serverhome ~]$ getent hosts 192.168.1.100
192.168.1.100   leptop.alonandeinat.local
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 07:26:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2012-08-16 11:05:58 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.